SphinxClient::setFieldWeights
SphinxClient::setFilterFloatRange
SphinxClient
PHP Manual

# SphinxClient::setFilter

Add new integer values set filter

### Description

public bool SphinxClient::setFilter ( string `$attribute` , array `$values` [, bool `$exclude` = false ] )

Adds new integer values set filter to the existing list of filters.

### Parameters

`attribute`

  An attribute name.

`values`

  Plain array of integer values.

`exclude`

  If set to `TRUE`, matching documents are excluded from the result set.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setFilterFloatRange
- SphinxClient::setFilterRange
- SphinxClient::resetFilters